GNOME Mines 49.0.1
=====================

* Update libgnome-games (Michael Catanzaro)

GNOME Mines 49.0
=====================

* Updated translations
* Update libgnome-games (Michael Catanzaro)

GNOME Mines 49.rc
=====================

* Updated translations
* Updated screenshot (Yoav Morag)
* Use libgnome-games as subproject (Will Warner)
* Unparent minefield view aspect frame (Michael Catanzaro)

GNOME Mines 49.beta
=====================

* Updated translations
* Added new theme (Hexon)
* Replaced timer icon (Hexon)
* Use libadwaita and support dark theme (Will Warner)
* Use custom modulon instead of standard operator (Nathan Gill)
* Fix invalid cast after libadwaita port (Michael Catanzaro)
* Fix about dialog, fix help url (Will Warner)
* Fix broken resizing (Will Warner)
* Port to AdwShortcutsDialog (Urtsi Santsi)
* Use new score dialog (Will Warner)

GNOME Mines 48.1
=====================

* Fixed running app as GApplication service (Balló György)
* Fixed save settings on close (Balló György)
* Make the application d-bus activatable (Balló György)

GNOME Mines 48.0
=====================

* Updated translations

GNOME Mines 48.alpha
=====================

* Updated translations
* Fixed proprietary license in appdata #71 (Robert Roth)
* Compilation fixes (Rico Tzschichholz)
* Made header tooltips translatable (Robert Roth)
* Replaced old links with discourse (Andre Klapper)
* Updated appdata (Sabri Ünal)
* Fix icon name (Balló György)
* Fix flatpak build (Robert Roth)
* Migrated to GTK4 (Arnaud B., Maximiliano)

GNOME Mines 40.0
=====================

* Updated translations

GNOME Mines 40.rc
=====================

* Updated translations

GNOME Mines 40.alpha
=====================

* Updated translations
* Updated help
* Code cleanup and modernization (Arnaud Bonatti)
* Keyboard shortcuts window improvements (Sabri Ünal, Robert Roth) 
* Only allow long-press gesture on touchscreen #50 (Robert Roth)
* Fixed icon in scores dialog (Arnaud Bonatti)
* Fixed incorrectly accepting game as won #17 (Aleksandr Shoronov)
* Fixed spacebar not working until other key is pressed (christiangnrd)
* Fixed timer not stopping when game ends with multi-release (Christian)

GNOME Mines 3.36.0
=====================

* Updated translations
* Updated help

GNOME Mines 3.35.90
=====================

* Updated translations
* Updated help
* Removed overmine warnings feature #39 (Robert Roth)
* Support for long-press flagging on touchscreens (Ordissimo)

GNOME Mines 3.34.0
=====================

* Updated translations

GNOME Mines 3.33.92
=====================

* Updated translations
* Added README

GNOME Mines 3.33.91
=====================

* Updated translations

GNOME Mines 3.33.3
=====================

* Updated translations
* Fixed keyboard cursor with bgcolors theme #37 (Robert Roth)

GNOME Mines 3.32.0
=====================

* Updated translations

GNOME Mines 3.31.92
=====================

* Updated translations

GNOME Mines 3.31.91
=====================

* Updated translations

GNOME Mines 3.31.90
=====================

* Updated translations
* Added suggested appdata tags !9 (Bilal Elmoussaoui)
* Tests to validate appdata and desktop !10 (Bilal Elmoussaoui)
* Keyboard shortcuts page !11 (Jeremy Bicha)
* Automated builds using Gitlab CI !12 (Bilal Elmoussaoui)
* Updated application icon !13 (Jakub Steiner)
* snap packaging updates (Jeremy Bicha)
* Added in-game shortcuts to keyboard shortcuts window #34 (Robert Roth)

GNOME Mines 3.31.4.1
=====================

* Fixed crash when opening appearance dialog !8 (Yanko Kaneti)
* Add libmath dependency to possibly fix linking issues (Robert Roth)

GNOME Mines 3.31.4
=====================

* Meson and flatpak fixes !7 (Bilal Elmoussaoui)
* Updated translations

GNOME Mines 3.31.3
=====================

* Avoid unnecessary icon regeneration !4 (Yanko Kaneti)
* Extend css to cover tile theme images (Yanko Kaneti)
* Fixed initial aspect ratio issues #28 (Yanko Kaneti)
* Change default theme to bgcolors #20 (Robert Roth)
* Remove transitions for a snappier experience #14 (Robert Roth)
* Add Keyboard shortcuts overlay !6 (Jeremy Bicha)
* Updated translations
* Code cleanup

GNOME Mines 3.31.1
=====================

* Appmenu removal #27 (Robert Roth)
* Code cleanup (Robert Roth)
* Enjoy the victory after winning #22 (Robert Roth)

GNOME Mines 3.30.1.1
=====================

* Fixed invisible flag (Jeremy Bicha, Yanko Kaneti)

GNOME Mines 3.30.1
=====================

* Updated translations
* Install 256x256 icon (Piotr Drąg)

GNOME Mines 3.30.0
=====================

* Updated translations
* Help cleanup (Andre Klapper, Piotr Drąg)
* Flatpak dependency urls updated to gitlab (Jordan Petridis)

GNOME Mines 3.29.3
=====================

* Updated translations
- Update bugzilla references with gitlab
* Drop autotools

GNOME Mines 3.28.0
=====================

* Updated translations


GNOME Mines 3.27.92.1
=====================
* Include meson build files in the tarball

GNOME Mines 3.27.92
=====================
* Fixed icon install dir (Robert Ancell)
* Install appdata to non-deprecated location (Jeremy Bicha)
* Updated translations

GNOME Mines 3.27.90
=====================
* Translations cleanup (Piotr Drąg)
* Fixed icon redraw issues (Daiki Matsunaga)
* Added snap packaging (Ken VanDine)
* Updated translations

GNOME Mines 3.27.2
=====================

* Updated translations

GNOME Mines 3.26.0
=====================

* Updated translations

GNOME Mines 3.25.92
=====================

* Updated translations

GNOME Mines 3.25.91
=====================

* Updated translations

GNOME Mines 3.25.90
=====================

* Updated translations
* Fixed Bugzilla submit bug button text (Anders Jonsson)
* Use glib preset for i18n (Piotr Drąg)
* Build changes (Robert Ancell)

GNOME Mines 3.25.2
=====================

* Updated translations
* Added flatpak manifest (Florian Müllner)
* Added meson build rules (Robert Ancell)

GNOME Mines 3.24.0
=====================

* Updated translations

GNOME Mines 3.23.91
=====================

* Updated translations

GNOME Mines 3.23.2
=====================

* Updated translations
* Use start-time mine randomization (Robert Roth)
* Removed deprecated calls (Robert Roth)

GNOME Mines 3.22.1
=====================

* Updated translations

GNOME Mines 3.22.0
=====================

* Updated translations
* Added content ratings

GNOME Mines 3.21.92
=====================

* Updated translations

GNOME Mines 3.21.91
=====================

* Updated translation
* libgnome-games-support dep change fixes (Michael Catanzaro, Arnaud Bonatti)

GNOME Mines 3.21.90.1
=====================

* Build with new libgnome-games-support

GNOME Mines 3.21.90
==================

* Appdata updates (Sahil Sareen, Robert Roth)
* Updated translations

GNOME Mines 3.21.3
==================

* Smaller minimum tile size to fit larger boards on fullHD (Robert Roth)
* Disable accels on the custom game screen (Robert Roth)
* Use libgames-support for score tracking (Michael Catanzaro, Nikhar Agrawal)
* Updated translations

GNOME Mines 3.20.0
==================

* Updated translations

GNOME Mines 3.19.91
==================

* Updated translations
* Fixed usage of deprecated icon name (Robert Roth)

GNOME Mines 3.19.90
==================

* Updated translations
* Updated the Appdata to spec version 0.7+ (Richard Hughes)
* Fixed window size growing huge with GTK+ 3.20 (Michael Catanzaro)

GNOME Mines 3.19.4
==================

* Updated translations
* Stop using deprecated gnome-common (Sahil Sareen)
* Add pre-commit and pre-applypatch hooks (Sahil Sareen)

GNOME Mines 3.19.3
==================

* Updated translations
* Updated appdata and doap

GNOME Mines 3.19.2
==================

* Updated translations
* Improved keyboard cursor display and behaviour (Isaac Lenton)
* Added extra keyboard shortcuts for starting/stopping games (Isaac Lenton)
* Change tile click behaviour to reveal tile on click release (Isaac Lenton)
* Fixed jumping clock issue in timer (Robert Roth)
* Show incorrectly flagged fields (Robert Roth)

GNOME Mines 3.19.1
==================

* Updated translations
* Fixed timer reset and timer jumps (Robert Roth) 

GNOME Mines 3.18.1
==================

* Updated translations

GNOME Mines 3.18.0
==================

* Updated translations

GNOME Mines 3.17.92
==================

* Updated translations

GNOME Mines 3.17.91
==================

* Updated translations

GNOME Mines 3.17.90
==================

* Updated translations

GNOME Mines 3.17.4
==================

* Updated translations
* Performance improvements (Robert Roth)
* Reduced high CPU usage after consecutive games (Robert Roth)


GNOME Mines 3.17.3
==================

* Updated translations
* Added animations enable/disable checkbox (Robert Roth)
* Fixed unclickable spots between grid cells (Robert Roth)

GNOME Mines 3.17.2
==================

* Updated translations
* Fixed keyboard navigation limits (Behnam Momeni)
* Provide a symbolic icon (Jakub Steiner)
* Fixed theme selector initialization glitch (Yanko Kaneti)


GNOME Mines 3.16.0
==================

* Updated translations

GNOME Mines 3.15.91
==================

* Updated translations

GNOME Mines 3.15.90
==================

* Updated translations
* Readded screen transitions (Robert Roth)
* Code cleanup (Robert Roth)
* Removed New Game from app menu (Michael Catanzaro)
* Updated About dialog (Michael Catanzaro)
* Connect to size_allocate (Arnaud Bonatti)
* Do not save size when tiled (Arnaud Bonatti)

GNOME Mines 3.15.4
==================

* Updated translations
* Added support for themes and theme selector dialog (Robert Roth)
* Fixed distance between game area and sidebar buttons (Robert Roth)
* Removed hover effect from inactive tiles (Robert Roth)
* Do not hide any buttons (Robert Roth)

GNOME Mines 3.15.3
==================

* Updated translations
* Use appstream-util for appdata validation (Robert Roth)

GNOME Mines 3.15.1
==================

* Updated translations
* Added --version command line option  (Arnaud Bornatti)
* Added --small, --medium and --large command line options (Arnaud Bornatti)
* Added jumplist for starting mines with different sizes (Arnaud Bornatti)
* Use XDG_CURRENT_DESKTOP to decide whether to use a header bar (Michael Catanzaro)
* Play again or Start over on replay label (Robert Roth)
* Removed obsolete shortcuts from documentation (Robert Roth)
* Added screen transitions (Robert Roth)
* Fixed custom size entry (Robert Roth)
* Coding style fixes (Sahil Sareen)

GNOME Mines 3.14.0
==================

* Updated translations
* appdata: updated screenshot size (Michael Catanzaro)

GNOME Mines 3.13.92
==================

* Don't translate timer labels (Michael Catanzaro)
* Symbolic flag install path fixed (Robert Roth)
* Use new function for setting accelerators (Arnaud Bonatti)
* Updated translations

GNOME Mines 3.13.91
==================

* Ignore the clock after exploding (Giovanni Campagna)
* Updated translations

GNOME Mines 3.13.90
==================

* High contrast icons (Michael Catanzaro)
* Updated translations

GNOME Mines 3.13.4
==================

* Theme tweaks for the latest Adwaita (Robert Roth)
* Fixed rough image rendering (Robert Roth)
* Do not use deprecated methods and properties (Robert Roth)
* Fixed styling issues causing diamonds to appear in the grid (Robert Roth)
* Fixed small flag icon (Robert Roth)
* Translatable clock label (Michael Catanzaro)
* Better-looking minimum width request for the small board (Robert Roth)
* Don't show headerbar/appmenu on systems that don't support it (Robert Ancell)
* Updated translations

GNOME Mines 3.13.2
==================

* Update CSS style (Jakub Steiner)
* Flipped tiles should not appear sensitive on hover (Robert Roth)
* Scrollbars added for large custom minefields (Robert Roth)
* Use improved flag icon in right column (Allan Day, Robert Roth)
* Rename Difficulty button to Change Difficulty (Michael Catanzaro)
* Updated translations

GNOME Mines 3.13.1
==================

* Use delayed settings saving (Chris Johns)
* New game screen improvements (Chris Johns)
* Custom game screen improvements (Michael Catanzaro, Robert Roth)
* Removed the preferences dialog (Michael Catanzaro)
* Better minimum size request (Michael Catanzaro)
* Reimplemented the minefield to be CSS stylable (Robert Roth)
* Moved user interface creating code to Glade UI files (Robert Roth)
* Added good-looking CSS style (Allan Day)
* Updated translations and help

GNOME Mines 3.12.0
==================

* Updated translations and help

GNOME Mines 3.11.92
===================

* Appdata: update screenshot size
* Updated translations and help

GNOME Mines 3.11.90
===================

* Appdata: specify project_group
* Rename desktop file to gnome-mines.desktop
* Hint time penalty now increases
* Add tooltips to buttons

GNOME Mines 3.11.3
==================

* Move buttons to side of window (Robert Roth)
* Enable question flags by default (Michael Catanzaro)
* Allow setting percentage of mines on the board in custom games (Isaac Lenton)
* Scores dialog: autoscroll to new score (Isaac Lenton)
* Scores dialog: replace Quit button with Close (Isaac Lenton)
* Updated translations

GNOME Mines 3.11.1
==================

* Redesigned interface
* Depend on intltool 0.50, gtk 3.10, and glib 2.36
* Remove BugBuddy support
* Translation updates

GNOME Mines 3.10.0
==================

* Translation updates

GNOME Mines 3.9.92
==================

* Add appdata file
* Translation updates

GNOME Mines 3.9.90
==================

* Fix crash when releasing buttons outside minefield
* Resize the window when switching to a smaller minefield
* Fix broken links and typos in user help
* Fix name of app menu when not launched by GNOME Shell
* Translation updates

gnome-mines 3.8.0
=================

 * Translation updates

gnome-mines 3.7.92
====================

* Renamed desktop file back to gnomine.dekstop
* Increase number visibility
* Keyboard support
* Translations

gnome-mines 3.7.5
====================

* Translations

gnome-mines 3.7.4
====================

* Translations

Contributions from: Alexander Shopov, Balázs Úr, Daniel Mustieles, Fran Diéguez,
Matej Urbančič, Piotr Drąg, Yaron Shahrabani.

gnome-mines 3.7.2
====================

* Fixed the build

Contributions from: Piotr Drąg, Robert Ancell

gnome-mines 3.7.0
====================

First release split from gnome-games
